Bug 38978 - Cell.ForceUpdateSize issues with row selection/deselection on Android
Summary: Cell.ForceUpdateSize issues with row selection/deselection on Android
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-02-22 09:29 UTC by David Britch
Modified: 2016-04-06 18:35 UTC (History)
8 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample (1.32 MB, application/zip)
2016-02-22 09:29 UTC, David Britch
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description David Britch 2016-02-22 09:29:35 UTC
Created attachment 15118 [details]
Sample

In Forms 2.1-pre5 the Cell.ForceUpdateSize works fine on iOS and WinPhone. When I tap the Image in each row in a ListView it should increase the size of the image. However, I'm seeing bizarre behavior on Android. When you tap an image the event handler fires but the image size isn't updated.

However, if you select a row and then tap the image, the image size is updated BUT only when you select another row.
Comment 1 Samantha Houts [MSFT] 2016-03-30 23:05:56 UTC
This should be fixed in 2.2.0-pre1.
Comment 2 Parmendra Kumar 2016-04-06 18:35:06 UTC
I have checked this issue with xamarin.forms 2.2.0-pre1 and its working fine.

Screencast: http://www.screencast.com/t/NS2sxdyiT

Hence closing this issue.